## EDU.oswego.cs.dl.util.concurrent
Interface ObservableSync.SyncObserver

Enclosing class:
  ObservableSync

    public static interface ObservableSync.SyncObserver

Interface for objects that observe ObservableSyncs.

Method Summary
`void` `onAcquire(java.lang.Object arg)` Method called upon acquire or successful attempt of Sync
`void` `onRelease(java.lang.Object arg)` Method called upon release of Sync.

Method Detail

### onAcquire

    void onAcquire(java.lang.Object arg)

  Method called upon acquire or successful attempt of Sync

### onRelease

    void onRelease(java.lang.Object arg)

  Method called upon release of Sync.